Subject: Re: bug#24873: 26.0.50; isearch-query-replace from regexp isearch doesn't add to replace-regexp history list

From: Stephen Berman <[email-masked]>
Date: Fri, 04 Nov 2016 20:59:43 +0100

On Fri, 4 Nov 2016 15:35:13 -0400 Mark Oteiza <[email-masked]> wrote:

> On 04/11/16 at 07:03pm, Richard Copley wrote:
>> On 4 November 2016 at 11:16, Richard Copley <[email-masked]> wrote:
>> > On 4 Nov 2016 11:02, "Eli Zaretskii" <[email-masked]> wrote:
>> >>
>> >> > From: Richard Copley <[email-masked]>
>> >> > Date: Fri, 4 Nov 2016 10:54:00 +0000
>> >> >
>> >> > The bug was introduced in the master branch between these two revisions
>> >> > (not tight bounds, just builds I have lying around):
>> >> >
>> >> > GOOD:
>> >> > commit 7fa96cb5ef8c8464496688e88c1b97211a820d79
>> >> > Author: Paul Eggert <[email-masked]>
>> >> > Date:   Sat Sep 17 15:06:24 2016 -0700
>> >> >
>> >> > BAD:
>> >> > commit 9640e9f4e95cd95c04875e90a4ff638e1e51f977
>> >> > Author: Tino Calancha <[email-masked]>
>> >> > Date:   Tue Oct 11 11:47:32 2016 +0900
>> >>
>> >> Is this the result of turning on lexical-binding in iserach.el?
>> >
>> > Thanks, I'll check, but I can't do it now. In about 8 hours unless someone
>> > beats me to it.
>> 
>> Yep, you nailed it.
>
> This was fixed already--your recipe works as expected for me. See bug#24580

My build contains the commit referenced in bug#24580 as fixing it, but I
can still reproduce the problem with the OP's recipe (i.e. with -Q).

Steve Berman